package model;


import javafx.application.Platform;

import java.io.BufferedWriter;
import java.io.FileWriter;
import java.io.IOException;

public class BoulcleDeJeu30FPS extends ObservableBDJ implements IBoucleDeJeu {
	@Override
	public void run()
	{
		try {
			wait(33);
			beep();
		}

		// Gestion des exceptions : si le processus à été intérompu pendant le sleep, on le log.
		catch (InterruptedException e)
		{
			try(BufferedWriter buff = new BufferedWriter(new FileWriter("log.txt")))
			{
				String msg = "E: Imposible d'attendre, le preocessus à été intérompu";
				buff.write(msg, 0, msg.length());
			}
			catch (IOException e2)
			{
				return;
			}
		}
	}

	public void beep() {
		notifier();
	}
}
