package model;

import javafx.beans.property.*;

import java.util.List;

public class Plateau {
	private IntegerProperty longueur = new SimpleIntegerProperty();
		public int getLongueur() { return longueur.get(); }
		public void setLongueur(int valeur) { longueur.set(valeur); }
		public IntegerProperty longueurProperty() { return longueur; }

	private IntegerProperty largeur = new SimpleIntegerProperty();
		public int getLargeur() { return largeur.get(); }
		public void setLargeur( int valeur ) { largeur.set(valeur); }
		public IntegerProperty largeurProperty() { return largeur; }

	private ObjectProperty grille = new SimpleObjectProperty();
		public List<List<Cellule>> getGrille() { return (List<List<Cellule>>) grille.get(); }
		public void setGrille(List<Cellule> cells) { grille.set(cells); }
		public ReadOnlyObjectProperty grilleProperty() { return grille; }

	public Cellule getCell(int x, int y) {
		return ((List<List<Cellule>>) grille.get()).get(y).get(x);
	}

}
